<?
/* Любые самостоятельные скрипты, модули для cms , готовые сайты под ключ, разработка браузерных игр по вашему тех.заданию, оптимизация(seo), безопасность ресурса на wap фриланс Копеек.нет -> http://koneek.net © Кредитор, icq 441460, e-mail kpegumop@yandex.ru */

include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
$temp_set=$set;
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/adm_check.php';
include_once '../../sys/inc/user.php';

$set['title']='Магазин Одежды';
error_reporting (0);
include_once '../../sys/inc/thead.php';
title();
//header("Content-type: application/vnd.wap.xhtml+xml");
header("Content-type: text/html");


If (!isset($_GET['p']) || !ereg("^[a-z0-9_-]{1,15}$",$_GET['p'])) $p=false; else $p=$_GET['p'];
switch ($p){


default:
echo "<div class=\"menu_razd\">Админка Магазина одежды</div>";
echo "<b>Разделы:</b><br/>";
echo "<a href=\"adm_k_shop.php?p=head\">√ Голова</a><br/>\n";
echo "* Головной убор, любой, кепка, шапка, панамка<br/>\n";
echo "<a href=\"adm_k_shop.php?p=torso\">√ Торс</a><br/>\n";
echo "* То что одеваем на тело, - рубашка, куртка и т.д.<br/>\n";
echo "<a href=\"adm_k_shop.php?p=hands\">√ Руки</a><br/>\n";
echo "* Часы, браслеты, кольца, перчатки...<br/>\n";
echo "<a href=\"adm_k_shop.php?p=feet\">√ Ноги</a><br/>\n";
echo "* Нижняя часть тела, - брюки, юбки, шорты...<br/>\n";
echo "<a href=\"adm_k_shop.php?p=shoe\">√ Обувь</a><br/>\n";
echo "* Думаю тут понятно...<br/>\n";
echo "<a href=\"adm_k_shop.php?p=akses\">√ Аксесуары</a><br/>\n";
echo "* !! В анкете выводится под головным убором, сюда подойдут очки, либо что то на шею...<br/>\n";
echo "<a href=\"adm_k_shop.php?p=akses_two\">√ Доп.аксесуары</a><br/>\n";
echo "<a href=\"adm_k_shop.php?p=akses_three\">√ Доп.аксесуары</a><br/>\n";


echo "<div class=\"menu_razd\">« Добавить одежду »</div>";
echo '<form action="adm_k_shop.php?p=add" method="post" name="form" enctype="multipart/form-data">';
echo 'Картинка :<br/>';
echo '<input name="ava" type="file" value=""/><br/>';
echo 'Название :<br/>';
echo '<input name="name" type="text" value=""/><br/>';
echo 'Описание :<br/>';
echo '<input name="opis" type="text" value=""/><br/>';
echo 'Пол : <br/>';
echo "<select name='pol'>\n";
echo "<option value='0' ".($pol==0?'selected="selected"':null).">Женский</option>\n";
echo "<option value='1' ".($pol==1?'selected="selected"':null).">Мужской</option>\n";
echo "</select>\n";

echo 'Раздел :<br />';

echo "<select name='type'>\n";
echo "<option value='head' ".($type==head?'selected="selected"':null).">Голова</option>\n";
echo "<option value='torso' ".($type==torso?'selected="selected"':null).">Торс</option>\n";
echo "<option value='hands' ".($type==hands?'selected="selected"':null).">Руки</option>\n";
echo "<option value='feet' ".($type==feet?'selected="selected"':null).">Ноги</option>\n";
echo "<option value='shoe' ".($type==shoe?'selected="selected"':null).">Обувь</option>\n";
echo "<option value='akses' ".($type==akses?'selected="selected"':null).">Аксесуары</option>\n";
echo "<option value='akses_two' ".($type==akses_two?'selected="selected"':null).">Доп.Аксесуары</option>\n";
echo "<option value='akses_three' ".($type==akses_three?'selected="selected"':null).">Доп.Аксесуары</option>\n";
echo "</select>\n";


echo 'Сексуальность<br/>';
echo '* ↓ Цифрами<br/>';
echo '<input name="sex" type="text" value=""/><br/>';
echo 'Шикарность<br/>';
echo '<input name="shik" type="text" value=""/><br/>';
echo 'Деловитость<br/>';
echo '<input name="del" type="text" value=""/><br/>';
echo 'Спортивность<br/>';
echo '<input name="sport" type="text" value=""/><br/>';
echo 'Эпатажность<br/>';
echo '<input name="epat" type="text" value=""/><br/>';
echo 'Гламурность<br/>';
echo '<input name="glam" type="text" value=""/><br/>';
echo 'Цена (деньги фермы)<br/>';
echo '<input name="cena" type="text" value=""/><br/>';
echo '<input type="submit" value="Добавить"/>';
echo '</form>';
break;


case 'add':

$name=htmlspecialchars(mysql_real_escape_string(trim($_POST['name'])));
$opis=htmlspecialchars(mysql_real_escape_string(trim($_POST['opis'])));
$pol=(int)$_POST['pol'];
$type=htmlspecialchars(mysql_real_escape_string(trim($_POST['type'])));
$sex=(int)$_POST['sex'];
$shik=(int)$_POST['shik'];
$del=(int)$_POST['del'];
$sport=(int)$_POST['sport'];
$epat=(int)$_POST['epat'];
$glam=(int)$_POST['glam'];
$cena=(int)$_POST['cena'];
if(!$name || !$type || !$cena){
echo 'Пустые параметры!';

break;
};

if($_FILES['ava']['error']>0){
echo 'Ошибка при загрузке файла!';
break;};

if($_FILES['ava']['size']>(128*128)){
echo 'Слишком большое разрешение файла! Рекомендуемый размер картинки 128х128';
break;
};

$info=@getimagesize($_FILES['ava']['tmp_name']);

if(!preg_match('{image/(.*)}is',$info['mime'],$p)){
echo 'Попытка загрузки запрещенного файла!';
break;
};

$fname=time().'.'.$p[1];
$tmp=$_FILES['ava']['tmp_name'];
move_uploaded_file($tmp,'../../ferm/images/'.$fname);
mysql_query("INSERT INTO `k_shop` (`path`,`name`,`opis`,`pol`,`type`,`sex`,`shik`,`del`,`sport`,`epat`,`glam`,`cena`)VALUES('$fname','$name','$opis','$pol','$type','$sex','$shik','$del','$sport','$epat','$glam','$cena')");
echo 'Одежда успешно добавлена!<br/>';
break;

/*Редактирование*/

case 'edit':

$id=(int)$_GET['id'];
if(!$id){
echo 'Пустые параметры!';
break;
};

$x=mysql_query("SELECT * FROM `k_shop` WHERE `id`='$id' ");
if(!mysql_num_rows($x)){
echo 'Такой вещи не существует!';
break;
};

if($row=mysql_fetch_assoc($x)){
echo '<form action="adm_k_shop.php?p=edits&id='.$row['id'].'" method="post" name="form" enctype="multipart/form-data">';
echo '<a href="adm_k_shop.php?p=load&amp;id='.$row['id'].'">Изменить Картинку</a><br/>';
echo 'Название:<br/>';
echo '<input name="name" type="text" value="'.$row['name'].'"/><br/>';
echo 'Описание:<br/>';
echo '<input name="opis" type="text" value="'.$row['opis'].'"/><br/>';

echo 'Пол : <br/>';
echo "<select name='pol'>\n";
echo "<option value='0' ".($pol==0?'selected="selected"':null).">Женский</option>\n";
echo "<option value='1' ".($pol==1?'selected="selected"':null).">Мужской</option>\n";
echo "</select>\n";

echo 'Раздел :<br />';

echo "<select name='type'>\n";
echo "<option value='head' ".($type==head?'selected="selected"':null).">Голова</option>\n";
echo "<option value='torso' ".($type==torso?'selected="selected"':null).">Торс</option>\n";
echo "<option value='hands' ".($type==hands?'selected="selected"':null).">Руки</option>\n";
echo "<option value='feet' ".($type==feet?'selected="selected"':null).">Ноги</option>\n";
echo "<option value='shoe' ".($type==shoe?'selected="selected"':null).">Обувь</option>\n";
echo "<option value='akses' ".($type==akses?'selected="selected"':null).">Аксесуары</option>\n";
echo "<option value='akses_two' ".($type==akses_two?'selected="selected"':null).">Доп.Аксесуары</option>\n";
echo "<option value='akses_three' ".($type==akses_three?'selected="selected"':null).">Доп.Аксесуары</option>\n";
echo "</select>\n";

echo 'Сексуальность<br/>';
echo '<input name="sex" type="text" value="'.$row['sex'].'"/><br/>';
echo 'Шикарность<br/>';
echo '<input name="shik" type="text" value="'.$row['shik'].'"/><br/>';
echo 'Деловитость<br/>';
echo '<input name="del" type="text" value="'.$row['del'].'"/><br/>';
echo 'Спортивность<br/>';
echo '<input name="sport" type="text" value="'.$row['sport'].'"/><br/>';
echo 'Эпатажность<br/>';
echo '<input name="epat" type="text" value="'.$row['epat'].'"/><br/>';
echo 'Гламурность<br/>';
echo '<input name="glam" type="text" value="'.$row['glam'].'"/><br/>';
echo 'Цена (деньги фермы)<br/>';
echo '<input name="cena" type="text" value="'.$row['cena'].'"/><br/>';
echo '<input type="submit" value="Сохранить"/>';
echo '</form>';
};
break;


case 'edits':

$id=(int)$_GET['id'];
$name=htmlspecialchars(mysql_real_escape_string(trim($_POST['name'])));
$opis=htmlspecialchars(mysql_real_escape_string(trim($_POST['opis'])));
$pol=(int)$_POST['pol'];
$type=htmlspecialchars(mysql_real_escape_string(trim($_POST['type'])));
$sex=(int)$_POST['sex'];
$shik=(int)$_POST['shik'];
$del=(int)$_POST['del'];
$sport=(int)$_POST['sport'];
$epat=(int)$_POST['epat'];
$glam=(int)$_POST['glam'];
$cena=(int)$_POST['cena'];

if(!$name || !$type || !$cena){
echo 'Пустые параметры!';
break;
};

mysql_query("UPDATE `k_shop` SET `name` = '$name' , `opis` = '$opis' , `pol` = '$pol' , `type` = '$type' , `sex` = '$sex' , `shik` = '$shik' , `del` = '$del' , `sport` = '$sport' , `epat` = '$epat' , `glam` = '$glam' , `cena` = '$cena' WHERE `id` = '$id' LIMIT 1");
echo 'Вещь успешно отредактирована!<br/>';

break;

/*Раздел вещей для головы*/

case 'head':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_shop` WHERE `type`='head'"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){
echo 'Для головы вещи отсутствуют';
break;};

$x=mysql_query("SELECT * FROM `k_shop` WHERE `type`='head' ORDER BY `name` ASC LIMIT $start, $onpage");

while($row=mysql_fetch_assoc($x)){
echo'<img src="../../ferm/images/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="adm_k_shop.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a><br /> ';
echo '<a href="adm_k_shop.php?p=del&amp;id='.$row['id'].'">[<font color="red">x</font>]</a>';
echo '<a href="adm_k_shop.php?p=edit&amp;id='.$row['id'].'">[ред]</a>';
echo '<a href="adm_k_shop.php?p=load&amp;id='.$row['id'].'">[зам]</a><br/>';
};
if ($k_page>1)str('?p=head&',$k_page,$page); // Вывод страниц

break;

/*Раздел одежды для торса*/

case 'torso':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_shop` WHERE `type`='torso'"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;
if($k_post==0){
echo 'Для торса вещи отсутствуют';

break;
};

$x=mysql_query("SELECT * FROM `k_shop` WHERE `type`='torso' ORDER BY `name` ASC LIMIT $start, $onpage");
while($row=mysql_fetch_assoc($x)){
echo'<img src="../images/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="adm_k_shop.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a><br /> ';
echo '<a href="adm_k_shop.php?p=del&amp;id='.$row['id'].'">[<font color="red">x</font>]</a>';
echo '<a href="adm_k_shop.php?p=edit&amp;id='.$row['id'].'">[ред]</a>';
echo '<a href="adm_k_shop.php?p=load&amp;id='.$row['id'].'">[зам]</a><br/>';
};

if ($k_page>1)str('?p=torso&',$k_page,$page); // Вывод страниц

break;

/*Раздел одежды для рук*/

case 'hands':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_shop` WHERE `type`='hands'"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){
echo 'Для рук вещи отсутствуют';
break;
};

$x=mysql_query("SELECT * FROM `k_shop` WHERE `type`='hands' ORDER BY `name` ASC LIMIT $start, $onpage");

while($row=mysql_fetch_assoc($x)){
echo'<img src="../images/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="adm_k_shop.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a><br /> ';
echo '<a href="adm_k_shop.php?p=del&amp;id='.$row['id'].'">[<font color="red">x</font>]</a>';
echo '<a href="adm_k_shop.php?p=edit&amp;id='.$row['id'].'">[ред]</a>';
echo '<a href="adm_k_shop.php?p=load&amp;id='.$row['id'].'">[зам]</a><br/>';
};

if ($k_page>1)str('?p=hands&',$k_page,$page); // Вывод страниц

break;

/*Раздел одежды для ног*/

case 'feet':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_shop` WHERE `type`='feet'"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){
echo 'Для ног вещи отсутствуют';
break;
};

$x=mysql_query("SELECT * FROM `k_shop` WHERE `type`='feet' ORDER BY `name` ASC LIMIT $start, $onpage");

while($row=mysql_fetch_assoc($x)){
echo'<img src="../images/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="adm_k_shop.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a><br /> ';
echo '<a href="adm_k_shop.php?p=del&amp;id='.$row['id'].'">[<font color="red">x</font>]</a>';
echo '<a href="adm_k_shop.php?p=edit&amp;id='.$row['id'].'">[ред]</a>';
echo '<a href="adm_k_shop.php?p=load&amp;id='.$row['id'].'">[зам]</a><br/>';
};

if ($k_page>1)str('?p=feet&',$k_page,$page); // Вывод страниц

break;

/*Раздел обуви*/

case 'shoe':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_shop` WHERE `type`='shoe'"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){
echo 'Обувь отсутствует';
break;
};

$x=mysql_query("SELECT * FROM `k_shop` WHERE `type`='shoe' ORDER BY `name` ASC LIMIT $start, $onpage");

while($row=mysql_fetch_assoc($x)){
echo'<img src="../images/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="adm_k_shop.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a><br /> ';
echo '<a href="adm_k_shop.php?p=del&amp;id='.$row['id'].'">[<font color="red">x</font>]</a>';
echo '<a href="adm_k_shop.php?p=edit&amp;id='.$row['id'].'">[ред]</a>';
echo '<a href="adm_k_shop.php?p=load&amp;id='.$row['id'].'">[зам]</a><br/>';
};

if ($k_page>1)str('?p=shoe&',$k_page,$page); // Вывод страниц

break;

/*Раздел аксесуары*/

case 'akses':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_shop` WHERE `type`='akses'"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;
if($k_post==0){
echo 'Аксесуары отсутствуют';
break;
};

$x=mysql_query("SELECT * FROM `k_shop` WHERE `type`='akses' ORDER BY `name` ASC LIMIT $start, $onpage");

while($row=mysql_fetch_assoc($x)){
echo'<img src="../images/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="adm_k_shop.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a><br /> ';
echo '<a href="adm_k_shop.php?p=del&amp;id='.$row['id'].'">[<font color="red">x</font>]</a>';
echo '<a href="adm_k_shop.php?p=edit&amp;id='.$row['id'].'">[ред]</a>';
echo '<a href="adm_k_shop.php?p=load&amp;id='.$row['id'].'">[зам]</a><br/>';
};

if ($k_page>1)str('?p=akses&',$k_page,$page); // Вывод страниц

break;


case 'akses_two':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_shop` WHERE `type`='akses_two'"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;
if($k_post==0){
echo 'Доп.аксесуары отсутствуют';
break;
};

$x=mysql_query("SELECT * FROM `k_shop` WHERE `type`='akses_two' ORDER BY `name` ASC LIMIT $start, $onpage");

while($row=mysql_fetch_assoc($x)){
echo'<img src="../images/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="adm_k_shop.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a><br /> ';
echo '<a href="adm_k_shop.php?p=del&amp;id='.$row['id'].'">[<font color="red">x</font>]</a>';
echo '<a href="adm_k_shop.php?p=edit&amp;id='.$row['id'].'">[ред]</a>';
echo '<a href="adm_k_shop.php?p=load&amp;id='.$row['id'].'">[зам]</a><br/>';
};

if ($k_page>1)str('?p=akses_two&',$k_page,$page); // Вывод страниц

break;


case 'akses_three':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_shop` WHERE `type`='akses_three'"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;
if($k_post==0){
echo 'Доп.аксесуары отсутствуют';
break;
};

$x=mysql_query("SELECT * FROM `k_shop` WHERE `type`='akses_three' ORDER BY `name` ASC LIMIT $start, $onpage");

while($row=mysql_fetch_assoc($x)){
echo'<img src="../images/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="adm_k_shop.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a><br /> ';
echo '<a href="adm_k_shop.php?p=del&amp;id='.$row['id'].'">[<font color="red">x</font>]</a>';
echo '<a href="adm_k_shop.php?p=edit&amp;id='.$row['id'].'">[ред]</a>';
echo '<a href="adm_k_shop.php?p=load&amp;id='.$row['id'].'">[зам]</a><br/>';
};

if ($k_page>1)str('?p=akses_three&',$k_page,$page); // Вывод страниц

break;


/*Удаление*/

case 'del':

$id=(int)$_GET['id'];
if(!$id){
echo 'Пустые параметры!';
break;
};
mysql_query("DELETE FROM `k_shop` WHERE `id`='$id'");
echo 'Одежда успешно удалена!<br/>';

break;

/*Показываем в наличии*/

case 'info':

$id=(int)$_GET['id'];
if(!$id){
echo 'Пустые параметры!';
break;
};

$x=mysql_query("SELECT * FROM `k_shop` WHERE `id`='$id' ");
if(!mysql_num_rows($x)){
echo 'Такой вещи не существует!';
break;
};
while($row=mysql_fetch_assoc($x)){
if($row['pol']==0){$pol='для девушки';
};
if($row['pol']==1){$pol='для парня';
};
echo '<img src="../images/'.$row['path'].'" alt=""/><br />';
echo '<b>Название:</b> <br />'.$row['name'].'<br />';
echo '<b>Описание:</b> <br />'.$row['opis'].'<br />';
echo '<b>Пол:</b> '.$pol.'</font><br />';
echo '<b>Сексуальность:</b> <font color=\'green\'>'.$row['sex'].'</font><br />';
echo '<b>Шикарность:</b> <font color=\'green\'>'.$row['shik'].'</font><br />';
echo '<b>Деловитость:</b> <font color=\'green\'>'.$row['del'].'</font><br />';
echo '<b>Спортивность:</b> <font color=\'green\'>'.$row['sport'].'</font><br />';
echo '<b>Эпатажность:</b> <font color=\'green\'>'.$row['epat'].'</font><br />';
echo '<b>Гламурность:</b> <font color=\'green\'>'.$row['glam'].'</font><br />';
echo '<b>Цена:</b> <font color=\'red\'>'.$row['cena'].'</font> денег фермы<br />';
};
break;

/*Грузим картинку*/

case 'load':

$id=(int)$_GET['id'];
echo '<form action="adm_k_shop.php?p=loads&amp;id='.$id.'" method="post" name="form" enctype="multipart/form-data">';
echo 'Картинка:<br/>';
echo '<input name="ava" type="file" value="'.$row['path'].'"/><br/>';
echo '<input type="submit" value="Сохранить"/>';
echo '</form>';
break;

/*Меняем картинку на другую*/

case 'loads':

$id=(int)$_GET['id'];
if(!$id){
echo 'Пустые параметры!';
break;
};

$x=mysql_query("SELECT * FROM `k_shop` WHERE `id`='$id' ");
if(!mysql_num_rows($x)){
echo 'Такой вещи не существует!';
break;
};
if($row=mysql_fetch_assoc($x)){
if($_FILES['ava']['error']>0){
echo 'Ошибка при выгрузке файла!';
break;
};
if($_FILES['ava']['size']>(128*128)){
echo 'Слишком большое разрешение файла! Рекомендуемый размер картинки 128х128';
break;
};
$info=@getimagesize($_FILES['ava']['tmp_name']);
if(!preg_match('{image/(.*)}is',$info['mime'],$p)){
echo 'Попытка выгрузки запрещенного файла!';
break;
};
$fname=time().'.'.$p[1];
$tmp=$_FILES['ava']['tmp_name'];
move_uploaded_file($tmp,'../ferm/images/'.$fname);
mysql_query("UPDATE `k_shop` SET `path` = '$fname' WHERE `id` = '$id' LIMIT 1");
echo 'Картинка отредактирована!<br/>';
};
break;


};

echo'<div class=\'foot\'>«<a href="adm_k_shop.php">Вернуться</a><br />«<a href="../shop_of_clothes.php">В Магазин Одежды</a><br />«<a href="../../adm_panel/index.php">В Админку Сайта</a></div>';

include_once '../../sys/inc/tfoot.php';
?>
